summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Spencer2010-07-03 04:39:44 +0200
committer Erik Hanson2010-07-03 09:31:43 +0200
commit9139f65dc605c2cd2313b7fefd43dc4084c5a834 (patch)
treec5070e7ad03751296fc070f6d9c71150d46e3777
parent9b4d00f858b518e5baf828090b11b366fc154ff1 (diff)
downloadslackbuilds-9139f65dc605c2cd2313b7fefd43dc4084c5a834.tar.gz
graphics/gpscorrelate: Updated for version 1.6.1.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--graphics/gpscorrelate/doinst.sh7
-rw-r--r--graphics/gpscorrelate/gpscorrelate.SlackBuild29
-rw-r--r--graphics/gpscorrelate/gpscorrelate.info10
-rw-r--r--graphics/gpscorrelate/slack-desc10
4 files changed, 32 insertions, 24 deletions
diff --git a/graphics/gpscorrelate/doinst.sh b/graphics/gpscorrelate/doinst.sh
index 05a5c6c2a7..3e5691a052 100644
--- a/graphics/gpscorrelate/doinst.sh
+++ b/graphics/gpscorrelate/doinst.sh
@@ -1,4 +1,9 @@
if [ -x /usr/bin/update-desktop-database ]; then
- /usr/bin/update-desktop-database -q usr/share/applications
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/graphics/gpscorrelate/gpscorrelate.SlackBuild b/graphics/gpscorrelate/gpscorrelate.SlackBuild
index 3da7ffac97..bdc3dc0a1f 100644
--- a/graphics/gpscorrelate/gpscorrelate.SlackBuild
+++ b/graphics/gpscorrelate/gpscorrelate.SlackBuild
@@ -1,22 +1,20 @@
#!/bin/sh
# Slackware build script for gpscorrelate
-# Written by David Spencer <nobbutl@yahoo.co.uk>
+# Written by David Spencer <baildon.research@googlemail.com>
# This script is dedicated to the public domain
# Modified by Robby Workman <rworkman@slackbuilds.org>
PRGNAM=gpscorrelate
-VERSION=1.6.0
+VERSION=1.6.1
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -53,23 +51,28 @@ chmod -R u+w,go+r-w,a-s .
make CFLAGS+="$SLKCFLAGS"
-mkdir -p $PKG/usr/bin
-cp gpscorrelate gpscorrelate-gui $PKG/usr/bin
-strip --strip-unneeded $PKG/usr/bin/*
+make install \
+ prefix=/usr \
+ mandir=/usr/man \
+ docdir=/usr/doc/$PRGNAM-$VERSION/html \
+ DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/share/applications
cat gpscorrelate.desktop > $PKG/usr/share/applications/gpscorrelate.desktop
+mkdir -p $PKG/usr/share/icons/hicolor/scalable/apps/
+cat gpscorrelate-gui.svg > $PKG/usr/share/icons/hicolor/scalable/apps/gpscorrelate-gui.svg
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a COPYING INSTALL README RELEASES \
$PKG/usr/doc/$PRGNAM-$VERSION
-cp -a doc/{{command,concepts,gui,index}.html,corr.png} \
- $PKG/usr/doc/$PRGNAM-$VERSION/html
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-mkdir -p $PKG/usr/man/man1
-gzip -9c gpscorrelate.1 > $PKG/usr/man/man1/gpscorrelate.1.gz
-
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
diff --git a/graphics/gpscorrelate/gpscorrelate.info b/graphics/gpscorrelate/gpscorrelate.info
index 0a60b888aa..7ba73d070b 100644
--- a/graphics/gpscorrelate/gpscorrelate.info
+++ b/graphics/gpscorrelate/gpscorrelate.info
@@ -1,10 +1,10 @@
PRGNAM="gpscorrelate"
-VERSION="1.6.0"
+VERSION="1.6.1"
HOMEPAGE="http://freefoote.dview.net/linux_gpscorr.html"
-DOWNLOAD="http://freefoote.dview.net/linux/gpscorrelate-1.6.0.tar.gz"
-MD5SUM="efb02f5f86f8598ac0bd7211a3c90b72"
+DOWNLOAD="http://freefoote.dview.net/linux/gpscorrelate-1.6.1.tar.gz"
+MD5SUM="0bbf24053a5f870c2531320fd5c55b4b"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="David Spencer"
-EMAIL="nobbutl@yahoo.co.uk"
-APPROVED="dsomero"
+EMAIL="baildon.research@googlemail.com"
+APPROVED="rworkman"
diff --git a/graphics/gpscorrelate/slack-desc b/graphics/gpscorrelate/slack-desc
index 44bfeda437..f080b5470e 100644
--- a/graphics/gpscorrelate/slack-desc
+++ b/graphics/gpscorrelate/slack-desc
@@ -7,13 +7,13 @@
|-----handy-ruler-------------------------------------------------|
gpscorrelate: gpscorrelate (write EXIF GPS tags to photos using a GPX tracklog)
-gpscorrelate:
+gpscorrelate:
gpscorrelate: A GTK+ app and command line utility for geocoding JPEG photos.
gpscorrelate: The date/time of each photo is correlated with a GPS tracklog
gpscorrelate: (in GPX format) and the photos are tagged with appropriate EXIF
gpscorrelate: GPS tags.
-gpscorrelate:
+gpscorrelate:
gpscorrelate: Homepage: http://freefoote.dview.net/linux_gpscorr.html
-gpscorrelate:
-gpscorrelate:
-gpscorrelate:
+gpscorrelate:
+gpscorrelate:
+gpscorrelate: